#include <stdio.h>
#include "arr_list.h"

// 초기화
void init(node_t *list)
{
//    list->data[] = {0};
    list->idx = 0;
    list->position = -1;
}

// 삽입
int insert(node_t *list, int data)
{
    if (list->idx > MAX)
    {
        printf("list full\n");
        return 0;
    }

    list->data[list->idx] = data;
    (list->idx)++;
    (list->position)++;
    return 1;
}

// 삭제
void delete(node_t *list)
{
    for(int i = list->position; i < list->idx; i++)
        list->data[i] = list->data[i+1];
    (list->idx)--;
    (list->position)--;
}

// 탐색
void search(node_t *list, int data)
{
    for(int i = 0; i < list->idx; i++)
    {
        if(list->data[i] == data)
        {
            list->position = i;
            printf("[%d] found\n", list->data[i]);
            return ;
        }
    }
    printf("[%d] not found\n", data);
}

// 출력
void print(node_t *list)
{
    for(int i = 0; i < list->idx; i++)
    {
        printf("%d ", list->data[i]);
    }
    printf("\n");
}


